package com.gic.udesk.dto;

import java.io.Serializable;
/**
 * tapd自定义字段
 * @ClassName: TapdCustomFieldConfig 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/23 3:12 PM 
 */
public class TapdCustomFieldConfig implements Serializable{
    private static final long serialVersionUID = -6242431131348000720L;

    /**
     * 自定义字段配置的ID
     */
    private Integer id;

    /**
     * 所属项目ID
     */
    private String workspace_id;

    /**
     * 所属实体对象
     */
    private String entry_type;

    /**
     * 自定义字段标识（英文名）
     */
    private String custom_field;

    /**
     * 输入类型
     */
    private String type;

    /**
     * 自定义字段显示名称
     */
    private String name;

    /**
     * 自定义字段可选值
     */
    private String options;

    /**
     * 是否启用
     */
    private String enabled;

    /**
     * 显示时排序系数
     */
    private String sort;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getWorkspace_id() {
        return workspace_id;
    }

    public void setWorkspace_id(String workspace_id) {
        this.workspace_id = workspace_id;
    }

    public String getEntry_type() {
        return entry_type;
    }

    public void setEntry_type(String entry_type) {
        this.entry_type = entry_type;
    }

    public String getCustom_field() {
        return custom_field;
    }

    public void setCustom_field(String custom_field) {
        this.custom_field = custom_field;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOptions() {
        return options;
    }

    public void setOptions(String options) {
        this.options = options;
    }

    public String getEnabled() {
        return enabled;
    }

    public void setEnabled(String enabled) {
        this.enabled = enabled;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }
}
