package com.gic.udesk.dto;

import java.io.Serializable;
/**
 * tapd监听发送的消息参数
 * @ClassName: TapdMessageDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/23 3:13 PM 
 */
public class TapdMessageDTO implements Serializable{
    private static final long serialVersionUID = 1782405175563991216L;

    /**
     * udesk工单的id
     */
    private String udeskId;
    /**
     * 新对象ID。需求、缺陷、任务、发布评审的都是19位长度的长ID
     */
    private String id;
    /**
     * 事件名
     */
    private String event;
    /**
     * 事件触发时的时间。格式：Y-m-d H:i:s，如 2019-03-29 10:55:02
     */
    private String created;
    /**
     * 事件触发地方.有web、api
     */
    private String event_from;
    /**
     * 事件id
     */
    private String event_id;
    /**
     * 操作人
     */
    private String current_user;
    /**
     * 项目ID
     */
    private String workspace_id;
    /**
     * 发生变更的字段，以 , 分隔
     */
    private String change_fields;
    /**
     * 标题
     */
    private String old_title;


    public String getUdeskId() {
        return udeskId;
    }

    public void setUdeskId(String udeskId) {
        this.udeskId = udeskId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }

    public String getCreated() {
        return created;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public String getEvent_from() {
        return event_from;
    }

    public void setEvent_from(String event_from) {
        this.event_from = event_from;
    }

    public String getEvent_id() {
        return event_id;
    }

    public void setEvent_id(String event_id) {
        this.event_id = event_id;
    }

    public String getCurrent_user() {
        return current_user;
    }

    public void setCurrent_user(String current_user) {
        this.current_user = current_user;
    }

    public String getWorkspace_id() {
        return workspace_id;
    }

    public void setWorkspace_id(String workspace_id) {
        this.workspace_id = workspace_id;
    }

    public String getChange_fields() {
        return change_fields;
    }

    public void setChange_fields(String change_fields) {
        this.change_fields = change_fields;
    }

    public String getOld_title() {
        return old_title;
    }

    public void setOld_title(String old_title) {
        this.old_title = old_title;
    }
}
