package com.gic.udesk.dto;

import java.io.Serializable;
/**
 * 消息，udesk/tapd监听
 * @ClassName: UdeskMessageDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/23 3:00 PM 
 */
public class UdeskMessageDTO implements Serializable{
    private static final long serialVersionUID = -4024232985956325129L;


    /**
     * 消息来源，udesk或tapd
     */
    private String source;

    /**
     * 消息主题
     */
    private String topic;

    /**
     * 消息事件
     */
    private String event;

    /**
     * 消息体
     */
    private String msgBody;

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }

    public String getMsgBody() {
        return msgBody;
    }

    public void setMsgBody(String msgBody) {
        this.msgBody = msgBody;
    }

    @Override
    public String toString() {
        return "UdeskMessageDTO [source=" + source + ", topic=" + topic + ", event=" + event + ", msgBody=" + msgBody
                + "]";
    }
}
