package com.gic.udesk.dto.customfield;

import java.io.Serializable;
import java.util.List;

/**
 * 自定义字段返回 数据
 * @ClassName: UdeskResCustomFieldDataDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/25 10:11 AM 
 */
public class UdeskResCustomFieldDataDTO implements Serializable{
    private static final long serialVersionUID = -831985526535468454L;

    private Integer id;
    /**
     * 字段标识
     */
    private String field_name;
    /**
     * 字段显示名称
     */
    private String field_label;
    /**
     * 字段类型
     */
    private String content_type;
    /**
     * 字段备注
     */
    private String comment;
    /**
     * 字段选项，仅选择类型字段返回
     */
    private List<UdeskCustomFieldOptionDTO> options;

    /**
     * 客户权限
     */
    private String customer_permission;

    /**
     * 客服权限
     */
    private String agent_permission;

    /**
     * 计算字段的计算结果类型
     */
    private String calculate_result_type;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getField_name() {
        return field_name;
    }

    public void setField_name(String field_name) {
        this.field_name = field_name;
    }

    public String getField_label() {
        return field_label;
    }

    public void setField_label(String field_label) {
        this.field_label = field_label;
    }

    public String getContent_type() {
        return content_type;
    }

    public void setContent_type(String content_type) {
        this.content_type = content_type;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public List<UdeskCustomFieldOptionDTO> getOptions() {
        return options;
    }

    public void setOptions(List<UdeskCustomFieldOptionDTO> options) {
        this.options = options;
    }

    public String getCustomer_permission() {
        return customer_permission;
    }

    public void setCustomer_permission(String customer_permission) {
        this.customer_permission = customer_permission;
    }

    public String getAgent_permission() {
        return agent_permission;
    }

    public void setAgent_permission(String agent_permission) {
        this.agent_permission = agent_permission;
    }

    public String getCalculate_result_type() {
        return calculate_result_type;
    }

    public void setCalculate_result_type(String calculate_result_type) {
        this.calculate_result_type = calculate_result_type;
    }
}
