package com.gic.udesk.entity;

import com.gic.udesk.utils.UdeskConstant;

import java.util.Date;

/**
 * tab_udesk_tapd_rel
 */
public class TabUdeskTapdRel {
    /**
     * 关联id
     */
    private Integer id;

    /**
     * 关联类型，1：模块关联，2：处理人关联，3：录入客服关联，4：严重程度关联
     */
    private Integer relType;

    /**
     * tapd项目id
     */
    private String workspaceId;

    /**
     * udesk字段id的key
     */
    private String udeskIdKey;

    /**
     * udesk字段id的value
     */
    private String udeskIdValue;

    /**
     * udesk字段名称
     */
    private String udeskName;

    /**
     * tapd字段id
     */
    private String tapdId;

    /**
     * tapd字段名称
     */
    private String tapdName;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 状态（0：删除；1：正常）
     */
    private Integer status;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getRelType() {
        return relType;
    }

    public void setRelType(Integer relType) {
        this.relType = relType;
    }

    public String getWorkspaceId() {
        return workspaceId;
    }

    public void setWorkspaceId(String workspaceId) {
        this.workspaceId = workspaceId;
    }

    public String getUdeskIdKey() {
        return udeskIdKey;
    }

    public void setUdeskIdKey(String udeskIdKey) {
        this.udeskIdKey = udeskIdKey;
    }

    public String getUdeskIdValue() {
        return udeskIdValue;
    }

    public void setUdeskIdValue(String udeskIdValue) {
        this.udeskIdValue = udeskIdValue;
    }

    public String getUdeskName() {
        return udeskName;
    }

    public void setUdeskName(String udeskName) {
        this.udeskName = udeskName;
    }

    public String getTapdId() {
        return tapdId;
    }

    public void setTapdId(String tapdId) {
        this.tapdId = tapdId;
    }

    public String getTapdName() {
        return tapdName;
    }

    public void setTapdName(String tapdName) {
        this.tapdName = tapdName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public TabUdeskTapdRel() {

    }

    public TabUdeskTapdRel(Integer relType, String udeskIdKey, String udeskIdValue, String udeskName, String tapdId,
                              String tapdName) {
        this.relType = relType;
        this.udeskIdKey = udeskIdKey;
        this.udeskIdValue = udeskIdValue;
        this.udeskName = udeskName;
        this.tapdId = tapdId;
        this.tapdName = tapdName;
        this.status = UdeskConstant.UNDELETED;
    }

    public TabUdeskTapdRel(String workspaceId,Integer relType,  String udeskIdKey, String udeskName, String tapdId,
                              String tapdName) {
        this.workspaceId = workspaceId;
        this.relType = relType;
        this.udeskIdKey = udeskIdKey;
        this.udeskName = udeskName;
        this.tapdId = tapdId;
        this.tapdName = tapdName;
        this.status = UdeskConstant.UNDELETED;
    }
}