package com.gic.udesk.entity;

import java.util.Date;

/**
 * tab_udesk_ticket
 */
public class TabUdeskTicket {
    /**
     * 工单id
     */
    private Integer id;

    /**
     * 工单编号
     */
    private String fieldNum;

    /**
     * 标题
     */
    private String subject;

    /**
     * 客户id
     */
    private Integer userId;

    /**
     * 客户姓名
     */
    private String userName;

    /**
     * 客户所属公司id
     */
    private Integer organizationId;

    /**
     * 客户所属公司名称
     */
    private String organizationName;

    /**
     * 创建人id
     */
    private Integer creatorId;

    /**
     * 受理客服id
     */
    private Integer assigneeId;

    /**
     * 受理客服姓名
     */
    private String assigneeName;

    /**
     * 优先级中文名称
     */
    private String priority;

    /**
     * 状态英文名称
     */
    private String statusEn;

    /**
     * 
     */
    private String statusTapd;

    /**
     * 提报人
     */
    private String reporter;

    /**
     * TPAD的bug_id
     */
    private String bugId;

    /**
     * TPAD项目id
     */
    private String workspaceId;

    /**
     * TPAD当前处理人
     */
    private String currentOwner;

    /**
     * udesk客服名称--tapd创建人
     */
    private String serviceStaff;

    /**
     * 严重程度
     */
    private String severity;

    /**
     * 开始解决时间
     */
    private String solvingAt;

    /**
     * 最后回复时间
     */
    private String repliedAt;

    /**
     * 解决时间
     */
    private String resolvedAt;

    /**
     * 
     */
    private Date createTime;

    /**
     * 
     */
    private Date updateTime;

    /**
     * 状态（0：删除；1：未删除）
     */
    private Integer status;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getFieldNum() {
        return fieldNum;
    }

    public void setFieldNum(String fieldNum) {
        this.fieldNum = fieldNum;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getOrganizationId() {
        return organizationId;
    }

    public void setOrganizationId(Integer organizationId) {
        this.organizationId = organizationId;
    }

    public String getOrganizationName() {
        return organizationName;
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public Integer getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Integer creatorId) {
        this.creatorId = creatorId;
    }

    public Integer getAssigneeId() {
        return assigneeId;
    }

    public void setAssigneeId(Integer assigneeId) {
        this.assigneeId = assigneeId;
    }

    public String getAssigneeName() {
        return assigneeName;
    }

    public void setAssigneeName(String assigneeName) {
        this.assigneeName = assigneeName;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public String getStatusEn() {
        return statusEn;
    }

    public void setStatusEn(String statusEn) {
        this.statusEn = statusEn;
    }

    public String getStatusTapd() {
        return statusTapd;
    }

    public void setStatusTapd(String statusTapd) {
        this.statusTapd = statusTapd;
    }

    public String getReporter() {
        return reporter;
    }

    public void setReporter(String reporter) {
        this.reporter = reporter;
    }

    public String getBugId() {
        return bugId;
    }

    public void setBugId(String bugId) {
        this.bugId = bugId;
    }

    public String getWorkspaceId() {
        return workspaceId;
    }

    public void setWorkspaceId(String workspaceId) {
        this.workspaceId = workspaceId;
    }

    public String getCurrentOwner() {
        return currentOwner;
    }

    public void setCurrentOwner(String currentOwner) {
        this.currentOwner = currentOwner;
    }

    public String getServiceStaff() {
        return serviceStaff;
    }

    public void setServiceStaff(String serviceStaff) {
        this.serviceStaff = serviceStaff;
    }

    public String getSeverity() {
        return severity;
    }

    public void setSeverity(String severity) {
        this.severity = severity;
    }

    public String getSolvingAt() {
        return solvingAt;
    }

    public void setSolvingAt(String solvingAt) {
        this.solvingAt = solvingAt;
    }

    public String getRepliedAt() {
        return repliedAt;
    }

    public void setRepliedAt(String repliedAt) {
        this.repliedAt = repliedAt;
    }

    public String getResolvedAt() {
        return resolvedAt;
    }

    public void setResolvedAt(String resolvedAt) {
        this.resolvedAt = resolvedAt;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}