package com.gic.udesk.service;

import com.gic.udesk.entity.TabUdeskTapdRel;

import java.util.List;

public interface UdeskTapdRelService {

    /**
     * 查询所有有效的数据
     * @Title: list 
     * @Description:
      * @author guojuxing  
     * @return  java.util.List<com.gic.udesk.entity.TabUdeskTapdRel> 
      */
    List<TabUdeskTapdRel> list(TabUdeskTapdRel record);

    /**
     * 保存
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param record 
     * @return  int 
      */
    int save(TabUdeskTapdRel record);

    /**
     * 删除
     * @Title: deleteByWorkspaceId 
     * @Description:
      * @author guojuxing
     * @param relType 关联类型
     * @param workspace_id  tapd项目id
     * @return  int 
      */
    int deleteByWorkspaceId(int relType, String workspace_id);
}
