package com.gic.udesk.service.impl;

import com.gic.udesk.dao.mapper.TabUdeskTicketMapper;
import com.gic.udesk.entity.TabUdeskTicket;
import com.gic.udesk.service.UdeskTicketService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("udeskTicketService")
public class UdeskTicketServiceImpl implements UdeskTicketService{
    @Autowired
    private TabUdeskTicketMapper tabUdeskTicketMapper;

    @Override
    public int save(TabUdeskTicket record) {
        record.setCreateTime(new Date());
        record.setUpdateTime(new Date());
        record.setStatus(1);
        return tabUdeskTicketMapper.insertSelective(record);
    }

    @Override
    public int update(TabUdeskTicket record) {
        record.setUpdateTime(new Date());
        return tabUdeskTicketMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public TabUdeskTicket getById(Integer id) {
        return tabUdeskTicketMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<TabUdeskTicket> list(TabUdeskTicket params) {
        return tabUdeskTicketMapper.list(params);
    }
}
