package com.gic.udesk.web.controller;

import com.gic.udesk.service.UdeskBaseApiService;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.ano.IgnoreLogin;
import com.gic.enterprise.utils.ResultControllerUtils;
import com.gic.udesk.service.TapdConfigApiService;

@RestController
public class TapdConfigController {

    private static final Logger logger = LogManager.getLogger(TapdConfigController.class);

    @Autowired
    private TapdConfigApiService tapdConfigApiService;

    @RequestMapping(value = "/set-custom-field-rel")
    @IgnoreLogin
    public RestResponse setTapdCustomFieldRelUdesk(String workspaceId) {
        return ResultControllerUtils.commonResult(tapdConfigApiService.setTapdCustomFieldRelUdesk(workspaceId));
    }

}
