package com.gic.udesk.dto;

import java.io.Serializable;
/**
 * 缺陷基类
 * @ClassName: TapdBugBaseDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/23 3:08 PM 
 */
public class TapdBugBaseDTO implements Serializable{
    private static final long serialVersionUID = 996019256030454386L;

    /**
     * BUG id
     */
    private String id;
    /**
     * 标题
     */
    private String title;
    /**
     * 详细描述
     */
    private String description;
    /**
     * 优先级
     */
    private String priority;
    /**
     * 严重程度
     */
    private String severity;
    /**
     * 状态
     */
    private String status;
    /**
     * 创建人
     */
    private String reporter;
    /**
     * 缺陷类型
     */
    private String bugtype;
    /**
     * 当前处理人
     */
    private String current_owner;
    /**
     * 发现阶段
     */
    private String originphase;
    /**
     * 测试类型
     */
    private String testtype;
    /**
     * 重现规律
     */
    private String frequency;
    /**
     * 自定义字段
     */
    private String custom_field_one;
    private String custom_field_two;
    private String custom_field_three;
    private String custom_field_four;
    private String custom_field_five;
    private String custom_field_6;
    private String custom_field_7;
    private String custom_field_8;
    private String custom_field_9;
    private String custom_field_10;

    /**
     * 项目id
     */
    private String workspace_id;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getPriority() {
        return priority;
    }

    public void setPriority(String priority) {
        this.priority = priority;
    }

    public String getSeverity() {
        return severity;
    }

    public void setSeverity(String severity) {
        this.severity = severity;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getReporter() {
        return reporter;
    }

    public void setReporter(String reporter) {
        this.reporter = reporter;
    }

    public String getBugtype() {
        return bugtype;
    }

    public void setBugtype(String bugtype) {
        this.bugtype = bugtype;
    }

    public String getCurrent_owner() {
        return current_owner;
    }

    public void setCurrent_owner(String current_owner) {
        this.current_owner = current_owner;
    }

    public String getOriginphase() {
        return originphase;
    }

    public void setOriginphase(String originphase) {
        this.originphase = originphase;
    }

    public String getTesttype() {
        return testtype;
    }

    public void setTesttype(String testtype) {
        this.testtype = testtype;
    }

    public String getFrequency() {
        return frequency;
    }

    public void setFrequency(String frequency) {
        this.frequency = frequency;
    }

    public String getCustom_field_one() {
        return custom_field_one;
    }

    public void setCustom_field_one(String custom_field_one) {
        this.custom_field_one = custom_field_one;
    }

    public String getCustom_field_two() {
        return custom_field_two;
    }

    public void setCustom_field_two(String custom_field_two) {
        this.custom_field_two = custom_field_two;
    }

    public String getCustom_field_three() {
        return custom_field_three;
    }

    public void setCustom_field_three(String custom_field_three) {
        this.custom_field_three = custom_field_three;
    }

    public String getCustom_field_four() {
        return custom_field_four;
    }

    public void setCustom_field_four(String custom_field_four) {
        this.custom_field_four = custom_field_four;
    }

    public String getCustom_field_five() {
        return custom_field_five;
    }

    public void setCustom_field_five(String custom_field_five) {
        this.custom_field_five = custom_field_five;
    }

    public String getCustom_field_6() {
        return custom_field_6;
    }

    public void setCustom_field_6(String custom_field_6) {
        this.custom_field_6 = custom_field_6;
    }

    public String getCustom_field_7() {
        return custom_field_7;
    }

    public void setCustom_field_7(String custom_field_7) {
        this.custom_field_7 = custom_field_7;
    }

    public String getCustom_field_8() {
        return custom_field_8;
    }

    public void setCustom_field_8(String custom_field_8) {
        this.custom_field_8 = custom_field_8;
    }

    public String getCustom_field_9() {
        return custom_field_9;
    }

    public void setCustom_field_9(String custom_field_9) {
        this.custom_field_9 = custom_field_9;
    }

    public String getCustom_field_10() {
        return custom_field_10;
    }

    public void setCustom_field_10(String custom_field_10) {
        this.custom_field_10 = custom_field_10;
    }

    public String getWorkspace_id() {
        return workspace_id;
    }

    public void setWorkspace_id(String workspace_id) {
        this.workspace_id = workspace_id;
    }
}
