package com.gic.udesk.dto;

import java.io.Serializable;

/**
 * 缺陷类，用于tapd，(获取缺陷接口，添加缺陷接口，更新缺陷接口)
 * @ClassName: TapdBugDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/23 3:09 PM 
 */
public class TapdBugDTO extends TapdBugBaseDTO implements Serializable{
    private static final long serialVersionUID = 1194893729619773267L;


    /**
     * 模块
     */
    private String module;
    /**
     * 解决期限
     */
    private String deadline;
    /**
     * 创建时间
     */
    private String created;
    /**
     * 解决时间
     */
    private String resolved;
    /**
     * 关闭时间
     */
    private String closed;
    /**
     * 最后修改时间
     */
    private String modified;
    /**
     * 最后修改人
     */
    private String lastmodify;
    /**
     * 审核人
     */
    private String auditer;
    /**
     * 开发人员
     */
    private String de;
    /**
     * 验证版本
     */
    private String version_test;
    /**
     * 发现版本
     */
    private String version_report;
    /**
     * 关闭版本
     */
    private String version_close;
    /**
     * 合入版本
     */
    private String version_fix;
    /**
     * 发现基线
     */
    private String baseline_find;
    /**
     * 合入基线
     */
    private String baseline_join;
    /**
     * 关闭基线
     */
    private String baseline_close;
    /**
     * 验证基线
     */
    private String baseline_test;
    /**
     * 引入阶段
     */
    private String sourcephase;
    /**
     * 测试人员
     */
    private String te;
    /**
     * 迭代
     */
    private String iteration_id;
    /**
     * 解决方法
     */
    private String resolution;
    /**
     * 缺陷根源
     */
    private String source;
    /**
     * 验证人
     */
    private String confirmer;
    /**
     * TAPD产品文档中没写.(里程碑？)
     */
    private String milestone;
    /**
     * 参与人
     */
    private String participator;
    /**
     * 关闭人
     */
    private String closer;
    /**
     * 软件平台
     */
    private String platform;
    /**
     * 操作系统
     */
    private String os;
    /**
     * 测试阶段
     */
    private String testphase;
    /**
     * 抄送人
     */
    private String cc;
    /**
     * TAPD产品文档中没写
     */
    private String regression_number;
    /**
     * TAPD产品文档中没写
     */
    private String flows;
    /**
     * TAPD产品文档中没写
     */
    private String feature;
    /**
     * 测试方式
     */
    private String testmode;
    /**
     * TAPD产品文档中没写
     */
    private String estimate;
    /**
     * TAPD产品文档中没写
     */
    private String issue_id;
    /**
     * TAPD产品文档中没写
     */
    private String created_from;
    /**
     * 接受处理时间
     */
    private String in_progress_time;
    /**
     * 验证时间
     */
    private String verify_time;
    /**
     * 拒绝时间
     */
    private String reject_time;
    /**
     * TAPD产品文档中没写
     */
    private String reopen_time;
    /**
     * TAPD产品文档中没写
     */
    private String audit_time;
    /**
     * TAPD产品文档中没写
     */
    private String suspend_time;
    /**
     * 预计结束
     */
    private String due;
    /**
     * 预计开始
     */
    private String begin;
    /**
     * 自定义字段
     */
    private String custom_field_11;
    private String custom_field_12;
    private String custom_field_13;
    private String custom_field_14;
    private String custom_field_15;
    public String getModule() {
        return module;
    }
    public void setModule(String module) {
        this.module = module;
    }
    public String getDeadline() {
        return deadline;
    }
    public void setDeadline(String deadline) {
        this.deadline = deadline;
    }
    public String getCreated() {
        return created;
    }
    public void setCreated(String created) {
        this.created = created;
    }
    public String getResolved() {
        return resolved;
    }
    public void setResolved(String resolved) {
        this.resolved = resolved;
    }
    public String getClosed() {
        return closed;
    }
    public void setClosed(String closed) {
        this.closed = closed;
    }
    public String getModified() {
        return modified;
    }
    public void setModified(String modified) {
        this.modified = modified;
    }
    public String getLastmodify() {
        return lastmodify;
    }
    public void setLastmodify(String lastmodify) {
        this.lastmodify = lastmodify;
    }
    public String getAuditer() {
        return auditer;
    }
    public void setAuditer(String auditer) {
        this.auditer = auditer;
    }
    public String getDe() {
        return de;
    }
    public void setDe(String de) {
        this.de = de;
    }
    public String getVersion_test() {
        return version_test;
    }
    public void setVersion_test(String version_test) {
        this.version_test = version_test;
    }
    public String getVersion_report() {
        return version_report;
    }
    public void setVersion_report(String version_report) {
        this.version_report = version_report;
    }
    public String getVersion_close() {
        return version_close;
    }
    public void setVersion_close(String version_close) {
        this.version_close = version_close;
    }
    public String getVersion_fix() {
        return version_fix;
    }
    public void setVersion_fix(String version_fix) {
        this.version_fix = version_fix;
    }
    public String getBaseline_find() {
        return baseline_find;
    }
    public void setBaseline_find(String baseline_find) {
        this.baseline_find = baseline_find;
    }
    public String getBaseline_join() {
        return baseline_join;
    }
    public void setBaseline_join(String baseline_join) {
        this.baseline_join = baseline_join;
    }
    public String getBaseline_close() {
        return baseline_close;
    }
    public void setBaseline_close(String baseline_close) {
        this.baseline_close = baseline_close;
    }
    public String getBaseline_test() {
        return baseline_test;
    }
    public void setBaseline_test(String baseline_test) {
        this.baseline_test = baseline_test;
    }
    public String getSourcephase() {
        return sourcephase;
    }
    public void setSourcephase(String sourcephase) {
        this.sourcephase = sourcephase;
    }
    public String getTe() {
        return te;
    }
    public void setTe(String te) {
        this.te = te;
    }
    public String getIteration_id() {
        return iteration_id;
    }
    public void setIteration_id(String iteration_id) {
        this.iteration_id = iteration_id;
    }
    public String getResolution() {
        return resolution;
    }
    public void setResolution(String resolution) {
        this.resolution = resolution;
    }
    public String getSource() {
        return source;
    }
    public void setSource(String source) {
        this.source = source;
    }
    public String getConfirmer() {
        return confirmer;
    }
    public void setConfirmer(String confirmer) {
        this.confirmer = confirmer;
    }
    public String getMilestone() {
        return milestone;
    }
    public void setMilestone(String milestone) {
        this.milestone = milestone;
    }
    public String getParticipator() {
        return participator;
    }
    public void setParticipator(String participator) {
        this.participator = participator;
    }
    public String getCloser() {
        return closer;
    }
    public void setCloser(String closer) {
        this.closer = closer;
    }
    public String getPlatform() {
        return platform;
    }
    public void setPlatform(String platform) {
        this.platform = platform;
    }
    public String getOs() {
        return os;
    }
    public void setOs(String os) {
        this.os = os;
    }
    public String getTestphase() {
        return testphase;
    }
    public void setTestphase(String testphase) {
        this.testphase = testphase;
    }
    public String getCc() {
        return cc;
    }
    public void setCc(String cc) {
        this.cc = cc;
    }
    public String getRegression_number() {
        return regression_number;
    }
    public void setRegression_number(String regression_number) {
        this.regression_number = regression_number;
    }
    public String getFlows() {
        return flows;
    }
    public void setFlows(String flows) {
        this.flows = flows;
    }
    public String getFeature() {
        return feature;
    }
    public void setFeature(String feature) {
        this.feature = feature;
    }
    public String getTestmode() {
        return testmode;
    }
    public void setTestmode(String testmode) {
        this.testmode = testmode;
    }
    public String getEstimate() {
        return estimate;
    }
    public void setEstimate(String estimate) {
        this.estimate = estimate;
    }
    public String getIssue_id() {
        return issue_id;
    }
    public void setIssue_id(String issue_id) {
        this.issue_id = issue_id;
    }
    public String getCreated_from() {
        return created_from;
    }
    public void setCreated_from(String created_from) {
        this.created_from = created_from;
    }
    public String getIn_progress_time() {
        return in_progress_time;
    }
    public void setIn_progress_time(String in_progress_time) {
        this.in_progress_time = in_progress_time;
    }
    public String getVerify_time() {
        return verify_time;
    }
    public void setVerify_time(String verify_time) {
        this.verify_time = verify_time;
    }
    public String getReject_time() {
        return reject_time;
    }
    public void setReject_time(String reject_time) {
        this.reject_time = reject_time;
    }
    public String getReopen_time() {
        return reopen_time;
    }
    public void setReopen_time(String reopen_time) {
        this.reopen_time = reopen_time;
    }
    public String getAudit_time() {
        return audit_time;
    }
    public void setAudit_time(String audit_time) {
        this.audit_time = audit_time;
    }
    public String getSuspend_time() {
        return suspend_time;
    }
    public void setSuspend_time(String suspend_time) {
        this.suspend_time = suspend_time;
    }
    public String getDue() {
        return due;
    }
    public void setDue(String due) {
        this.due = due;
    }
    public String getBegin() {
        return begin;
    }
    public void setBegin(String begin) {
        this.begin = begin;
    }
    public String getCustom_field_11() {
        return custom_field_11;
    }
    public void setCustom_field_11(String custom_field_11) {
        this.custom_field_11 = custom_field_11;
    }
    public String getCustom_field_12() {
        return custom_field_12;
    }
    public void setCustom_field_12(String custom_field_12) {
        this.custom_field_12 = custom_field_12;
    }
    public String getCustom_field_13() {
        return custom_field_13;
    }
    public void setCustom_field_13(String custom_field_13) {
        this.custom_field_13 = custom_field_13;
    }
    public String getCustom_field_14() {
        return custom_field_14;
    }
    public void setCustom_field_14(String custom_field_14) {
        this.custom_field_14 = custom_field_14;
    }
    public String getCustom_field_15() {
        return custom_field_15;
    }
    public void setCustom_field_15(String custom_field_15) {
        this.custom_field_15 = custom_field_15;
    }
}
