package com.gic.udesk.dto.gic;

import java.io.Serializable;
import java.util.Map;

/**
 * gic提交工单所提交的对象
 * @ClassName: GicTicketDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/26 4:11 PM 
 */
public class GicTicketDTO implements Serializable{
    private static final long serialVersionUID = -478265380664580136L;

    /**
     * 1:gic基础服务 2：应用服务
     */
    private Integer businessModuleType;
    /**
     * 查找客户时使用的类型
     */
    private String type;

    /**
     * 与类型type对应的值
     */
    private String type_content;

    /**
     * 标题 必填
     */
    private String subject;
    /**
     * 内容 必填
     */
    private String content;
    /**
     * 状态中文
     */
    private String status;

    /**
     * 工单模板id
     */
    private Integer template_id;

    /**
     * 自定义字段的json字符串接收
     */
    private String ticketFieldJsonStr;

    /**
     * 自定义字段
     */
    private Map<String, String> ticket_field;

    private Integer gicEnterpriseId;

    private Integer gicUserId;

    private String gicUserName;

    private String gicEnterpriseName;

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Map<String, String> getTicket_field() {
        return ticket_field;
    }

    public void setTicket_field(Map<String, String> ticket_field) {
        this.ticket_field = ticket_field;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getBusinessModuleType() {
        return businessModuleType;
    }

    public void setBusinessModuleType(Integer businessModuleType) {
        this.businessModuleType = businessModuleType;
    }

    public Integer getTemplate_id() {
        return template_id;
    }

    public void setTemplate_id(Integer template_id) {
        this.template_id = template_id;
    }

    public String getTicketFieldJsonStr() {
        return ticketFieldJsonStr;
    }

    public void setTicketFieldJsonStr(String ticketFieldJsonStr) {
        this.ticketFieldJsonStr = ticketFieldJsonStr;
    }

    public Integer getGicEnterpriseId() {
        return gicEnterpriseId;
    }

    public void setGicEnterpriseId(Integer gicEnterpriseId) {
        this.gicEnterpriseId = gicEnterpriseId;
    }

    public Integer getGicUserId() {
        return gicUserId;
    }

    public void setGicUserId(Integer gicUserId) {
        this.gicUserId = gicUserId;
    }

    public String getGicUserName() {
        return gicUserName;
    }

    public void setGicUserName(String gicUserName) {
        this.gicUserName = gicUserName;
    }

    public String getGicEnterpriseName() {
        return gicEnterpriseName;
    }

    public void setGicEnterpriseName(String gicEnterpriseName) {
        this.gicEnterpriseName = gicEnterpriseName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType_content() {
        return type_content;
    }

    public void setType_content(String type_content) {
        this.type_content = type_content;
    }
}
