package com.gic.udesk.dto.gic;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * 获取工单回复
 * @ClassName: TicketRepliesDTO 
 * @Description:    
 * @author guojuxing   
 * @date 2019/12/26 5:50 PM  
 */
public class TicketRepliesDTO implements Serializable{
    private static final long serialVersionUID = -243231508063277717L;

    /**
     * 执行结果码,1000代表成功
     */
    private Integer code;

    /**
     * 分页相关
     */
    private Map<String, Object> meta;

    private List<TicketRepliesDataDTO> replies;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public Map<String, Object> getMeta() {
        return meta;
    }

    public void setMeta(Map<String, Object> meta) {
        this.meta = meta;
    }

    public List<TicketRepliesDataDTO> getReplies() {
        return replies;
    }

    public void setReplies(List<TicketRepliesDataDTO> replies) {
        this.replies = replies;
    }
}
