package com.gic.udesk.dto.gic;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 回复列表
 * @ClassName: TicketRepliesDataDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/26 5:52 PM 
 */
public class TicketRepliesDataDTO implements Serializable{
    private static final long serialVersionUID = -4610262435451102033L;

    private Integer id;

    /**
     * 回复内容
     */
    private String content;

    /**
     * 内容的类型,"text"/"html"
     */
    private String content_format;

    private Date created_at;

    /**
     * 回复类型,"internat"内部备注/"external"外部评论
     */
    private String function_type;


    /**
     * 抄送对象邮箱
     */
    private String cc;

    /**
     * 附件相关内容
     */

    private List<TicketRepliesAttachmentsDTO> attachments;


    /**
     * 回复者信息
     */
    private TicketRepliesAuthorDTO author;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getContent_format() {
        return content_format;
    }

    public void setContent_format(String content_format) {
        this.content_format = content_format;
    }

    public Date getCreated_at() {
        return created_at;
    }

    public void setCreated_at(Date created_at) {
        this.created_at = created_at;
    }

    public String getFunction_type() {
        return function_type;
    }

    public void setFunction_type(String function_type) {
        this.function_type = function_type;
    }

    public String getCc() {
        return cc;
    }

    public void setCc(String cc) {
        this.cc = cc;
    }

    public List<TicketRepliesAttachmentsDTO> getAttachments() {
        return attachments;
    }

    public void setAttachments(List<TicketRepliesAttachmentsDTO> attachments) {
        this.attachments = attachments;
    }

    public TicketRepliesAuthorDTO getAuthor() {
        return author;
    }

    public void setAuthor(TicketRepliesAuthorDTO author) {
        this.author = author;
    }
}
