package com.gic.udesk.dto.templates;

import java.io.Serializable;
import java.util.List;

/**
 * 所有工单模板列表信息
 * @ClassName: UdeskResTemplatesDTO 
 * @Description:    
 * @author guojuxing   
 * @date 2019/12/24 5:54 PM  
 */
public class UdeskResTemplatesDTO implements Serializable{
    private static final long serialVersionUID = -4541627488626734665L;

    /**
     * 执行结果码，1000代表成功
     */
    private Integer code;
    /**
     * 执行结果说明
     */
    private String message;

    /**
     * 数据数量
     */
    private Integer count;

    /**
     * 工单模板列表详情
     */
    private List<UdeskResTemplatesDataDTO> templates;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public List<UdeskResTemplatesDataDTO> getTemplates() {
        return templates;
    }

    public void setTemplates(List<UdeskResTemplatesDataDTO> templates) {
        this.templates = templates;
    }
}
