package com.gic.udesk.dto.templates;

import java.io.Serializable;
import java.util.List;

/**
 * 所有工单模板列表数据信息
 * @ClassName: UdeskResTemplatesDataDTO 
 * @Description:    
 * @author guojuxing   
 * @date 2019/12/24 5:56 PM  
 */
public class UdeskResTemplatesDataDTO implements Serializable{
    private static final long serialVersionUID = 9123464445959278485L;

    /**
     * 模板ｉｄ
     */
    private Integer id;

    /**
     * 模板名称
     */
    private String name;
    /**
     * 模板描述
     */
    private String description;

    /**
     * 模板下的自定义字段
     */
    private List<UdeskTemplatesCustomFieldDTO> custom_fields;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<UdeskTemplatesCustomFieldDTO> getCustom_fields() {
        return custom_fields;
    }

    public void setCustom_fields(List<UdeskTemplatesCustomFieldDTO> custom_fields) {
        this.custom_fields = custom_fields;
    }
}
