package com.gic.udesk.service;

import com.gic.udesk.entity.TabUdeskEnterprise;
import com.gic.udesk.qo.TicketListQO;
import com.github.pagehelper.Page;

public interface UdeskEnterpriseService {

    /**
     * 新增gic工单数据
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param record 
     * @return  int 
      */
    int save(TabUdeskEnterprise record);

    /**
     * 关闭工单
     * @Title: close 
     * @Description:
     * @author guojuxing
     * @param ticketId 
     * @return  int 
     */
    int close(Integer ticketId);


    int updateStatus(Integer ticketId, String status);

    /**
     * 分页查询
     * @param params
     * @return
     */
    Page<TabUdeskEnterprise> page(TicketListQO params);
}
