package com.gic.udesk.service.impl;

import com.gic.udesk.dao.mapper.TabUdeskCustomersMapper;
import com.gic.udesk.entity.TabUdeskCustomers;
import com.gic.udesk.service.UdeskCustomersService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service("udeskCustomersService")
public class UdeskCustomersServiceImpl implements UdeskCustomersService{
    @Autowired
    private TabUdeskCustomersMapper tabUdeskCustomersMapper;

    @Override
    public int save(Integer enterpriseId, Integer customerId, Integer userId) {
        TabUdeskCustomers record = new TabUdeskCustomers();
        record.setCreateTime(new Date());
        record.setCustomerId(customerId);
        record.setUserId(userId);
        record.setEnterpriseId(enterpriseId);
        return tabUdeskCustomersMapper.insert(record);
    }

    @Override
    public TabUdeskCustomers hasCustomerId(Integer enterpriseId, Integer userId) {
        TabUdeskCustomers obj = tabUdeskCustomersMapper.countCustomerId(enterpriseId, userId);
        return obj;
    }
}
