package com.gic.udesk.service.impl;

import com.gic.udesk.dao.mapper.TabUdeskTapdRelMapper;
import com.gic.udesk.entity.TabUdeskTapdRel;
import com.gic.udesk.service.UdeskTapdRelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("udeskTapdRelService")
public class UdeskTapdRelServiceImpl implements UdeskTapdRelService{
    @Autowired
    private TabUdeskTapdRelMapper tabUdeskTapdRelMapper;

    @Override
    public List<TabUdeskTapdRel> list(TabUdeskTapdRel record) {
        return tabUdeskTapdRelMapper.list(record);
    }

    @Override
    public int save(TabUdeskTapdRel record) {
        record.setCreateTime(new Date());
        record.setUpdateTime(new Date());
        record.setStatus(1);
        return tabUdeskTapdRelMapper.insertSelective(record);
    }

    @Override
    public int deleteByWorkspaceId(int relType, String workspace_id) {
        return tabUdeskTapdRelMapper.deleteByWorkspaceId(relType, workspace_id);
    }
}
