package com.gic.udesk.utils;

import org.apache.commons.codec.binary.Base64;
/**
 * udesk常量类
 * @ClassName: UdeskConstant 
 * @Description:  
 * @author guojuxing 
 * @date 2019/12/23 3:57 PM 
 */
public class UdeskConstant {

    /**
     * udesk邮箱账号
     */
    public static final String EMAIL = "jingjiawei@demogic.com";

    /**
     * udesk密码
     */
    public static final String SECRET = "*ys15658036172";

    /**
     * udesk    API TOKEN
     */
    public static final String API_TOKEN = "2a83c020-2309-4064-b4eb-af1367425c99";

    /**
     * udesk    API 请求地址
     */
    public static final String UDESK_URI = "http://demogic.udesk.cn/open_api_v1";

    /**
     * TAPD    API 请求地址
     */
    public static final String TAPD_URI = "https://api.tapd.cn";

    /**
     * TAPD  请求地址
     */
    public static final String TAPD_HOST = "https://www.tapd.cn/";

    /**
     * TAPD    API  ACCOUNT
     */
    public static final String TAPD_ACCOUNT = "e6PWqG!l";

    /**
     * TAPD    company_id
     */
    public static final int TAPD_COMPANY_ID = 20078731;

    /**
     * TAPD    API  SECRET
     */
    public static final String TAPD_SECRET = "313EFA55-7D83-D8A6-ECE4-E832CC6844B1";

    /**
     * TAPD    Authorization
     */
    public static final String TAPD_AUTH = "Basic " + new Base64().encodeToString((TAPD_ACCOUNT + ":" + TAPD_SECRET).getBytes());


    /**
     * 已删除
     */
    public static final int DELETED = 0;
    /**
     * 未删除
     */
    public static final int UNDELETED = 1;

    /**
     * 新建工单消息
     */
    public static final String TICKET_CREATE = "ticketCreate";

    /**
     * 更新工单消息
     */
    public static final String TICKET_UPDATE = "ticketUpdate";

    /**
     * udesk请求返回正确码
     */
    public static final int UDESK_SUCCESS_CODE = 1000;

    /**
     * udesk字段指定的tapd处理人
     */
    public static final String UDESK_FIELD_OWNER = "SelectField_19948";

    /**
     * udesk字段客服
     */
    public static final String UDESK_FIELD_STAFF = "SelectField_19952";

    /**
     * udesk字段严重程度
     */
    public static final String UDESK_FIELD_SEVERITY = "SelectField_19958";

    /**
     * udesk字段对应项目
     */
    public static final String UDESK_FIELD_WORKSPACE = "SelectField_19946";

    /**
     * udesk字段发现阶段
     */
    public static final String UDESK_FIELD_ORIGINPHASE = "SelectField_23551";

    /**
     * udesk字段测试类型
     */
    public static final String UDESK_FIELD_TESTTYPE = "SelectField_23561";

    /**
     * udesk字段缺陷类型
     */
    public static final String UDESK_FIELD_BUGTYPE = "SelectField_23571";

    /**
     * udesk字段重现规律
     */
    public static final String UDESK_FIELD_FREQUENCY = "SelectField_23581";

    /**
     * udesk字段多选处理人
     */
    public static final String UDESK_FIELD_TRANSACTOR = "SelectField_23591";

    /**
     * GIC后台对应的基础模块 级联字段
     */
    public static final String GIC_BASE_MODULE_SELECT = "SelectField_56661";

    /**
     * GIC后台对应的基础模块 模板ID
     */
    public static final Integer GIC_BASE_MODULE_TEMPLATE_ID = 97811;

    /**
     * GIC应用模块工单 应用模块名称
     */
    public static final String APP_MODULE_NAME = "TextField_101931";
    /**
     * GIC应用模块工单 模板ID
     */
    public static Integer APP_MODULE_TEMPLATE_ID = 99311;

    /**
     * udesk来源的类型异常
     */
    public static final String UDESK_EXP_TYPE = "udesk";

    /**
     * tapd来源的类型异常
     */
    public static final String TAPD_EXP_TYPE = "tapd";

    /**
     * udesk优先级为标准
     */
    public static final String UDESK_PRIORITY_NORMAL = "标准";

    /**
     * tapd优先级为中
     */
    public static final String TAPD_PRIORITY_NORMAL = "中";

    /**
     * tapd默认提报人
     */
    public static final String TPAD_REPORTER = "udesk";

    /**
     * tapd请求返回正确码
     */
    public static final int TAPD_RESP_SUCCESS_STATUS = 1;

    /**
     * UDESK内部备注
     */
    public static final String INTERNAL = "internal";


    /**
     * 加在MAP缓存 udeskId_value Key的后面
     */
    public static final String MAP_UDESK_ID_VALUE_SUFFIX = "-value";
    /**
     * 加在MAP缓存 udesk_name Key的后面
     */
    public static final String MAP_UDESK_NAME_SUFFIX = "-name";
    /**
     * 更新触发创建工单
     */
    public static final String UDESK_UPDATE_CREATE = "udesk-update-create";
    /**
     * UDESK工单主题
     */
    public static final String UDESK_TICKET_TOPIC = "ticket";
    /**
     * UDESK默认回复客服对应map的key
     */
    public static final String UDESK_DEFAULT_AGENT = "agent";
    /**
     * 异常返回null
     */
    public static final String NULL = "null";
    /**
     * 关闭状态
     */
    public static final String CLOSED = "closed";
}
